package com.yunzhi.nanyang.mapper;

import com.yunzhi.nanyang.entity.TaPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 人员表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Mapper
public interface TaPersonMapper extends BaseMapper<TaPerson> {

    @Select("SELECT * FROM ta_person t WHERE t.app_id = #{appid} AND t.openid = #{openid} AND t.`status` > -1")
    TaPerson getByOpenId(@Param("appid") String appid, @Param("openid") String openid);
}
