package com.yunzhi.nanyang.service.impl;

import com.yunzhi.nanyang.entity.TaPerson;
import com.yunzhi.nanyang.mapper.TaPersonMapper;
import com.yunzhi.nanyang.service.ITaPersonService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 人员表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2022-03-08
 */
@Service
public class TaPersonServiceImpl extends BaseServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Override
    public TaPerson getByOpenId(String appid, String openid) {
        return baseMapper.getByOpenId(appid, openid);
    }
}
