package com.yunzhi.nanyang.shiro.filters;

import com.yunzhi.nanyang.shiro.utils.JWTToken;
import com.yunzhi.nanyang.shiro.utils.MiniappToken;
import org.apache.shiro.authc.AuthenticationToken;
import org.apache.shiro.web.util.WebUtils;

import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletRequest;

public class MiniappFilter  extends JWTFilter {

    @Override
    protected AuthenticationToken createToken(ServletRequest servletRequest, ServletResponse servletResponse) throws Exception {
        HttpServletRequest request = WebUtils.toHttp(servletRequest);
        String authorization = request.getHeader(JWT_HEADER);
        if (authorization == null || "".equals(authorization)) {
            throw new Exception("请先登录系统");
        }

        return new MiniappToken(authorization);
    }

}
