package com.yunzhi.nanyang.shiro.realms.manager;

import java.util.Set;

/**
 *
 */
public interface IManagerService {

    /**
     * 校验用户状态
     * @param id
     * @return
     */
    Boolean verify(String id);

    /**
     * 获取用户角色
     * @param id
     * @return
     */
    Set<String> getRolesByLoginId(String id);

    /**
     * 获取用户权限
     * @param id
     * @return
     */
    Set<String> getPermissionsLoginId(String id);

}
